This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1284847 - (CVE-2015-7513) CVE-2015-7513 Kernel: kvm: divide by zero issue leads to DoS
CVE-2015-7513 Kernel: kvm: divide by zero issue leads to DoS
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160105,repor...
: Security
Depends On: 1296142 1296143
Blocks: 1284848
  Show dependency treegraph
 
Reported: 2015-11-24 05:47 EST by Adam Mariš
Modified: 2016-05-20 07:29 EDT (History)
28 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A divide-by-zero flaw was discovered in the Linux kernel built with KVM virtualization support(CONFIG_KVM). The flaw occurs in the KVM module's Programmable Interval Timer(PIT) emulation, when PIT counters for channel 1 or 2 are set to zero(0) and a privileged user inside the guest attempts to read these counters. A privileged guest user with access to PIT I/O ports could exploit this issue to crash the host kernel (denial of service).
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-20 07:29:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-11-24 05:47:48 EST
Linux kernel built with the KVM virtualisation support(CONFIG_KVM) is vulnerable to a divide by zero issue. It occurs in the KVM module's Programmable Interval Timer(PIT) emulation, when PIT counters for channel 1 or 2 are set to zero(0) and a privileged user inside guest attempts to read those.

A privileged guest user with access to PIT I/O ports, could use this issue to crash the host kernel resulting in DoS.

Upstream patch:
---------------
  -> https://git.kernel.org/linus/0185604c2d82c560dab2f2933a18f797e74ab5a8

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/01/07/2
  -> http://wiki.osdev.org/Programmable_Interval_Timer
  -> http://www.osdever.net/bkerndev/Docs/pit.htm
Comment 2 Martin Prpič 2016-01-06 07:40:30 EST
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1296142]
Comment 3 Prasad J Pandit 2016-01-07 05:39:57 EST
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5 and Red Hat Enterprise MRG 2.

This issue affects the versions of Linux kernel as shipped with
Red Hat Enterprise Linux 6 and Red Hat Enterprise Linux 7.

This has been rated as having Moderate security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/
Comment 4 Fedora Update System 2016-01-20 16:52:48 EST
kernel-4.3.3-301.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2016-01-26 13:23:43 EST
kernel-4.3.3-303.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2016-02-01 01:24:08 EST
kernel-4.3.4-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.